plotRidgeList {MassSpecWavelet} | R Documentation

## Plot the ridge list

### Description

Plot the ridge list returned by `getRidge`

### Usage

    plotRidgeList(ridgeList, wCoefs = NULL, range = NULL, colorMap = "RYB", main = NULL, pch = ".", cex = 3, ...)

### Arguments

`ridgeList` | returned by `getRidge`
`wCoefs` | 2-D CWT coefficients
`range` | plot range of m/z index
`colorMap` | colorMap to plot the points of local maximum
`main` | parameter of `plot`
`pch` | parameter of `plot`
`cex` | parameter of `plot`
`...` | other parameters of `points`

### Author(s)

Pan Du

### See Also

`getRidge`

### Examples

            data(exampleMS)
            scales <- seq(1, 64, 3)
            wCoefs <- cwt(exampleMS[5000:11000], scales=scales, wavelet='mexh')

            localMax <- getLocalMaximumCWT(wCoefs)
            ridgeList <- getRidge(localMax)
            plotRidgeList(ridgeList)

[Package MassSpecWavelet version 1.10.0 Index]